# FIAIF is an Intelligent firewall, version: $Revision: 1.148 $
#
# RPM specification file.
#
# Author:	Anders Fugmann <afu@fugmann.dhs.org>
# 
# FIAIF is an Intelligent firewall
# Copyright (C) 2002-2003 Anders Peter Fugmann

# Debian rpm hack.
%define          _sysconfdir /etc
# Mandrake rpm hack
%define		_unpackaged_files_terminate_build 0

Summary:	Fiaif is an Intelligent Firewall for iptables based Linux systems
Summary(pl):	Fiaif - inteligentny firewall bazuj?cy na iptables
Name:		fiaif
Version:	1.6.2
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://fiaif.fugmann.dhs.org/dist/%{name}_%{version}-%{release}.tar.gz
URL:		http://fiaif.fugmann.dhs.org/
BuildArch:	noarch
Requires:	iptables >= 1.2.6a, 
Requires:       bash >= 2.04
Requires:       sed
Requires:       grep
Requires:       textutils
Requires:       sh-utils
Requires:       bind-utils
Requires:       mktemp
Requires(post,preun):	/sbin/chkconfig
Prereq:         /sbin/chkconfig
#PreReq:         rpm-helper
Conflicts:	ipmasq, knetfilter, firewall-easy, shorewall, firewall-init
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
The Goal of  FIAIF is to provide a  highly customizable script
for setting up an iptables based firewall.

Unlike  many  other scripts,  FIAIF  can  be truly  customized
allowing multiple  interfaces (or  rather zones). There  is no
limit  on  the number  of  zones.  All configuration  is  done
through configuration files. No  need to understand the script
behind it all.

The script makes heavy use  of state-full firewalling, and all
RELATED and ESTABLISHED packets are accepted on all chains. If
you which  to block  something out,  do not  accept it  in the
first place.

The script is written in BASH.  Though this is not the optimal
program to use, it means that you do not need to install extra
interpreters  on your  firewall.  This allows  you  to have  a
minimalistic installation on your firewall.

Install this package if your machine is ever on the internet.

%description -l pl
Celem FIAIF jest  udostpnienie wysoce  dostosowawczego skryptu
ustawiania regu ciany ogniowej opartej na netfiltrze.

W przeciwiestwie do innych skryptw, FIAIF umoliwia ustawianie 
regu na  wielu interfejsach,  a raczej strefach.  Nie ma limitu 
stref.  Ca  konfiguracj  przeprowadza  si  za pomoc  plikw 
konfiguracyjnych.  Nie ma potrzeby  rozumienia stojcego za nimi 
skryptu.

Skrypt mocno uywa  zabezpiecze typu  stateful,  przepuszczajc
wszystkie pakiety RELATED i ESTABLISHED na wszystkich acuchach.
eby co zablokowa, wystarczy nie akceptowa tego na pocztku.

Skrypt  napisany  jest w  bashu,   co  pozwala  na  zmniejszenie 
koniecznej instalacji na cianie ogniowej.

%prep
%setup -q -n %{name}-%{version}_%{release}
rm -Rf $RPM_BUILD_ROOT
%build

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__make} install-config DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install src/fiaif $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/fiaif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add fiaif 
# Check is fiaif has been restarted yet.
if [ -f  %{_var}/lock/subsys/fiaif ]; then
    echo "Before restarting FIAIF, please go through the configuration"
    echo "and see if any updates are nessesary."
else
    echo "Configure fiaif and remove the line 'DONT_START=1'"
    echo "from /etc/fiaif/fiaif.conf, then execute"
    echo "'/etc/rc.d/init.d/fiaif start' to start fiaif."
fi

%preun
# Test that this is truly an remove.
if [ "$1" = "0" ]; then 
    if [ -f  %{_var}/lock/subsys/fiaif ]; then  
	/etc/rc.d/init.d/fiaif stop >&2  
    fi  
    /sbin/chkconfig --del fiaif  
fi

%files
%defattr(644,root,root,755)
%doc todo GPL.txt  
%doc doc/faq.txt doc/DHCP.txt doc/upgrade.txt doc/reporting_bugs.txt

%dir %attr(0700,root,root) %{_sysconfdir}/fiaif/
%dir %attr(0700,root,root) %{_var}/lib/fiaif/

%config(noreplace) %verify(not size mtime md5) %attr(0600,root,root) %{_sysconfdir}/fiaif/zone.dmz
%config(noreplace) %verify(not size mtime md5) %attr(0600,root,root) %{_sysconfdir}/fiaif/zone.ext
%config(noreplace) %verify(not size mtime md5) %attr(0600,root,root) %{_sysconfdir}/fiaif/zone.int
%config(noreplace) %verify(not size mtime md5) %attr(0600,root,root) %{_sysconfdir}/fiaif/fiaif.conf
%config(noreplace) %verify(not size mtime md5) %attr(0600,root,root) %{_sysconfdir}/fiaif/reserved_networks
%config(noreplace) %verify(not size mtime md5) %attr(0600,root,root) %{_sysconfdir}/fiaif/private_networks
%config(noreplace) %verify(not size mtime md5) %attr(0600,root,root) %{_sysconfdir}/fiaif/type_of_services

%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/fiaif
%attr(0755,root,root) %{_sbindir}/fiaif-scan

%dir %{_datadir}/fiaif
%{_datadir}/fiaif/traffic-shaping.sh
%{_datadir}/fiaif/functions.sh
%{_datadir}/fiaif/zones.sh
%{_datadir}/fiaif/iptables.sh
%{_datadir}/fiaif/proc-check.sh
%{_datadir}/fiaif/sanity_check.sh
%{_datadir}/fiaif/constants.sh
%{_datadir}/fiaif/cleanup_rules.sh
%{_datadir}/fiaif/VERSION

%{_mandir}/man8/fiaif.8*
%{_mandir}/man5/zone.conf.5*
%{_mandir}/man5/fiaif.conf.5*
%{_mandir}/man8/fiaif-scan.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Sat Jan 4 2003 Anders Fugmann <anders@fugmann.dhs.org>
- Dont use _preun_service. It breaks things on RH 8.0
* Mon Dec 30 2002 Anders Fugmann <anders@fugmann.dhs.org>
- Work better with mandrake (Thanks to Rmi Denis-Courmont)
* Thu Oct 24 2002 Anders Fugmann <anders@fugmann.dhs.org>
- Updated spec file based on changes from Sergiusz Pawlowicz.
* Sun Sep 08 2002 Anders Fugmann <anders@fugmann.dhs.org>
- Remove /var/state/fiaif/iptables en upgrading.
* Wed Jun 05 2002 Anders Fugmann <anders@fugmann.dhs.org>
- RPM done.
- See /usr/share/doc/fiaif/changelog for more information

